Bug 1441293 - Tag Visibility | Error: undefined method `base_class' for NilClass:Class on selecting container image on containers page
Summary: Tag Visibility | Error: undefined method `base_class' for NilClass:Class on s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.3
Assignee: Yaacov Zamir
QA Contact: Einat Pacifici
URL:
Whiteboard: container:tag
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 15:38 UTC by Ruslana Babyuk
Modified: 2018-06-05 11:50 UTC (History)
8 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-28 14:59:55 UTC
Category: Bug
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)
container error (36.88 KB, image/png)
2017-04-11 15:38 UTC, Ruslana Babyuk
no flags Details
container error log (5.91 KB, text/plain)
2017-04-11 15:39 UTC, Ruslana Babyuk
no flags Details
images of trying to repruduce (497.86 KB, application/x-xz)
2017-04-19 09:03 UTC, Yaacov Zamir
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Description Ruslana Babyuk 2017-04-11 15:38:45 UTC
Created attachment 1270819 [details]
container error

Description of problem:


Version-Release number of selected component (if applicable):
5.7.2.1

How reproducible:
always

Steps to Reproduce:
1.Set up role, group(set one restricted tag) and user
2.Add container provider
3.Set tag to one of container images
4.As restricted user navigate to container detail page
5.Click on 'Container image' field

Actual results:
Error appears

Expected results:
Error should appear 'User ... is not authorized to access 'Container Image'

Additional info:
evm.log error:
ERROR -- : MIQ(container_image_controller-show): User 'testtag' is not authorized to access 'Container Image' record id '2'

Comment 2 Ruslana Babyuk 2017-04-11 15:39:25 UTC
Created attachment 1270821 [details]
container error log

Comment 3 Yaacov Zamir 2017-04-18 11:23:51 UTC
Can't reproduce:

Please provide more information on how to reproduce, or about affected version. 

------------

On 5.7.2:
ruby-2.2.6
manageiq euwe-3, or commit :b531b1e (used to build 5.7.2)

What I did:
1. Set up role, group(can only see tag: location=>paris) and user

2. Add container provider
3. Add my company tag (location=>paris) to provider and image

4. log out of admin
5. log in as user

6. go to provider
7. container image tag, show the only image with tag, not error.

------------

On current master:
ruby-3.3
managei1-master

Also no bug (the files with error in the log have changed significantly).

Comment 4 Ruslana Babyuk 2017-04-18 14:27:26 UTC
Please repeat steps below:

1. Set up role, group, and user

2. Add container provider
3. Add my company tag to a provider, container1, and container image2(Note: tagged container image2 should be different that used for container1).
 
4. log out of admin
5. log in as user
 
6. go to container1 detail page
7. Click on the "Container Image" field

Affected version: 5.7.2.1

Comment 5 Yaacov Zamir 2017-04-19 09:03:17 UTC
Created attachment 1272527 [details]
images of trying to repruduce

Comment 6 Yaacov Zamir 2017-04-19 09:10:38 UTC
hi, thanks

what i did ( see attachment 1272527 [details] ) 

1. created role, group and user [ no restrictions ]
2. create container provider, checked I can see container images

3. restrict group to only see: location => paris

4. add tags:
   provider -        location => paris
   container -       location => paris
   container_image - location => new-york [ different that used for container ]

5. log out of admin
6. log in as user

7. go to container detail, click container image, got error

Thanks

Comment 7 Yaacov Zamir 2017-04-19 10:21:33 UTC
submitted upstream:
https://github.com/ManageIQ/manageiq/pull/14802

Comment 8 Yaacov Zamir 2017-04-24 15:58:15 UTC
merged upstream
https://github.com/ManageIQ/manageiq/pull/14802

Comment 9 Pavel Zagalsky 2017-06-11 13:17:30 UTC
Verified on 5.7.3.1

Comment 11 errata-xmlrpc 2017-06-28 14:59:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.